<style>
    .dropdown-menu>li>a {
        cursor:pointer;
    }
    .inputIcon{
        width:30px;}
    </style>
    <div class="modal fade stick-up " id="add_Employee_Nationality" tabindex="-1" role="dialog" aria-hidden="true" style="width:30%;margin:0 auto">
    <div class="modal-dialog  width:5px;">
        <div class="modal-content width: 494px;">
            <div class="modal-header clearfix text-left">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true"><i class="pg-close fs-14"></i></button>
                <h5><span class="semi-bold"><?php print CommonLanguage::getMessage('nationality'); ?></span></h5>
                <div id="addAlertNationality"></div>
            </div>
            <div class="modal-body">
                <form id="AddTypePostForm" method="POST" onsubmit="return false">
                    <div class="row">
                        <div class="col-md-12" >
                            <div class="col-md-8">
                                <div><label><?php print CommonLanguage::getMessage('nationality'); ?></label></div>
                                <div class="input-group required">
                                    <span class="input-group-addon bg-success">
                                        <i class="fa fa-flag inputIcon" ></i>
                                    </span>
                                    <input type="text" placeholder="<?php print CommonLanguage::getMessage('nationality'); ?>" id="Nationality_Name" name="Nationality_Name" class="form-control "  style="width: 252px; " required>
                                </div>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
            <div class="modal-footer ">
                <div class="pull-right">
                    <button class="btn btn-default" id="Close_Nationality"   > <?php print CommonLanguage::getMessage('Close'); ?> </button>
                    <button class="btn btn-success" id="SubmitNationality"  > <?php print CommonLanguage::getMessage('Save'); ?>   </button>
                </div>
            </div>
        </div>
    </div>
</div>
<script type="text/javascript">
    var Submitted_Successfully = <?php echo json_encode(CommonLanguage::getMessage('Submitted_Successfully')); ?>,
            Failed_Submit = <?php echo json_encode(CommonLanguage::getMessage('Failed_Submit')); ?>;
    $(function () {
        $("#SubmitNationality").on("click", function () {
            $("#addAlertNationality").attr("class", "").html("")

            $("#NationalityIsBusy").remove();
            $("#add_Nationality").append('<div id="NationalityIsBusy" style="position:absolute;left:0;right:0;top:0px;height:100%;background:rgba(255,255,255,0.9);z-index:9999;opacity:0"><img class="image-responsive-height demo-mw-50" src="img/demo/progress.svg" alt="Progress" style="position: absolute;left: 50%;top: 50%;margin: -25px 0 0 -25px;" /></div>');
            $("#NationalityIsBusy").animate({opacity: 1});
            var Data = {
                Nationality_Name: $("#Nationality_Name").val()
            }
            $.ajax({
                url: "HRMAjax/addEmployeeNationality",
                method: "POST",
                data: Data,
                dataType: "JSON",
                complete: function (v1, v2) {
                    if (v2 == 'success') {
                        var newType = "<option value='" + v1.responseJSON[0]['Nationality_ID'] + "'>" + v1.responseJSON[0]['Nationality_Name'] + "</option>";
                        $("#Employee_Nationality").append($(newType))
                        $("#NationalityIsBusy").remove();
                        $("#addAlertNationality").addClass("alert alert-success").show().html(Submitted_Successfully);
                        setTimeout(function () {
                            $("#add_Employee_Nationality").modal('hide')
                        }, 1500)
                        setTimeout(function () {
                            $("#addAlertNationality").hide()
                        }, 1500)
                    } else {

                        $("#addAlertNationality").addClass("alert alert-danger").show().html(Failed_Submit+', '+v1.responseText);
                    }
                    $("#NationalityIsBusy").remove();
                }
            })
        });
        $("#Close_Nationality").on("click", function () {
            $("#add_Employee_Nationality input").val('');
            //$("#AddProductPostForm").validate().resetForm();
            $("#add_Employee_Nationality").modal("hide");
        })
        $("#add_Employee_Nationality input").val('');
    });
</script>